Bug 1699696 - [3.11] Upgrade from 3.9 to 3.10 fails on openshift_control_plane: verify API server. Using wrong API port.
Summary: [3.11] Upgrade from 3.9 to 3.10 fails on openshift_control_plane: verify API ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Vadim Rutkovsky
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1689243
Blocks: 1699695
TreeView+ depends on / blocked
 
Reported: 2019-04-15 02:08 UTC by Gaoyun Pei
Modified: 2019-06-26 09:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: several openshift vars were not used during upgrade Consequence: 3.9 -> 3.10 upgrade would fail if custom api port is set and facts were cleared Fix: api_port and other apiserver-related vars are being read during upgrade Result: upgrade succeeds
Clone Of: 1689243
Environment:
Last Closed: 2019-06-26 09:08:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:08:14 UTC

Comment 1 Vadim Rutkovsky 2019-04-15 08:42:01 UTC
3.11 PR - https://github.com/openshift/openshift-ansible/pull/11491
Fix is available in openshift-ansible-3.11.106-1

Comment 2 Vadim Rutkovsky 2019-04-19 11:00:08 UTC
Fix is available in openshift-ansible-3.11.106-1

Comment 3 Weihua Meng 2019-04-23 07:45:57 UTC
Fixed.

openshift-ansible-3.11.109-1.git.0.324023d.el7.noarch

ansible-2.6.16-1.el7ae

Comment 5 errata-xmlrpc 2019-06-26 09:08:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.